nvme_get_log_endurance_group(9)

NAME
nvme_get_log_endurance_group - Get Endurance Group log

SYNOPSIS
int nvme_get_log_endurance_group (int fd , __u16 endgid , struct nvme_endurance_group_log *log );

ARGUMENTS

fd  File descriptor of nvme device

endgid
    Starting group identifier to return in the list

log User address to store the endurance log

DESCRIPTION
This log page indicates if an Endurance Group Event has occurred for a particular Endurance Group. If an Endurance Group Event has occurred, the details of the particular event are included in the Endurance Group Information log page for that Endurance Group. An asynchronous event is generated when an entry for an Endurance Group is newly added to this log page.

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise.